Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::IntegerObject< IntegerType > Class Template Reference

A C++ template base class for integer objects. More...

`#include <inti/integerobject.h>`

List of all members.

## Public Types

- typedef IntegerObject< IntegerType > Base
    Convenient base class typedef for derived classes.

## Public Member Functions

Accessors

- operator IntegerType () const
    Conversion operator; converts an IntegerObject to an IntegerType.
- bool operator== (const IntegerObject &other) const
    Equality operator.
- bool operator!= (const IntegerObject &other) const
    Inequality operator.

## Protected Member Functions

Constructors

- IntegerObject (IntegerType value)
    Construct a new integer object.

## Detailed Description

### template<typename IntegerType>
class Inti::IntegerObject< IntegerType >

A C++ template base class for integer objects.

IntegerObject is a template base class for integer objects like Gdk::Keyval, G::Quark and G::Unichar.

## Constructor & Destructor Documentation

template<typename IntegerType>
Inti::IntegerObject< IntegerType >::IntegerObject | ( | IntegerType | value | ) | `[inline, protected]`

  | Construct a new integer object. Parameters:
  value | The integer value to initialize the integer object with.

## Member Function Documentation

template<typename IntegerType>
bool Inti::IntegerObject< IntegerType >::operator!= | ( | const IntegerObject< IntegerType > & | other | ) | const`[inline]`

  | Inequality operator. Parameters:
  other | Another IntegerObject.
Returns: true if the value of this integer object and other are not equal.

template<typename IntegerType>
bool Inti::IntegerObject< IntegerType >::operator== | ( | const IntegerObject< IntegerType > & | other | ) | const`[inline]`

  | Equality operator. Parameters:
  other | Another IntegerObject.
Returns: true if the value of this integer object and other are equal.

The documentation for this class was generated from the following file:

- integerobject.h

Main Page - Footer